/* -*-mode: C; fill-column: 78; c-basic-offset: 4; compile-command: "make MEMDEBUG=TRUE";-*- */ 
/* 
 * Copyright 2012 by Eric House (xwords@eehouse.org).  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef XWFEATURE_BLUETOOTH

#include <stdio.h>              /* for size_t */
#include "uuidhack.h"

#include "xptypes.h"

/* this can't be included in linuxbt.c because it redefines uuid_t  */
#include <stdio.h>              /* for size_t */
#include <uuid/uuid.h>

void 
str2uuid( const char const* str, void* out, size_t uuidSize )
{
    uuid_t uuid;
    int err = uuid_parse( str, uuid );
    XP_ASSERT( 0 == err );
    if ( 0 == err ) {
        XP_ASSERT( sizeof(uuid) == uuidSize );
        XP_MEMCPY( out, &uuid, uuidSize );
    }
}

#endif
